<?php

namespace BS\RealTimeChat\LongPoll;

use XF\Mvc\Entity\ArrayCollection;

interface RoomAdapterInterface
{
    public function hasNewEvents($lastEventTime, array $eventTypes = []) : ArrayCollection;

    public function emit() : RoomAdapterInterface;

    public function to($roomId) : RoomAdapterInterface;

    public function in($roomId) : RoomAdapterInterface;

    public function join($roomIds) : RoomAdapterInterface;
}