<?php

namespace BS\RealTimeChat\XF\Repository;

class Banning extends XFCP_Banning
{
	public function deleteExpiredUserBans($cutOff = null)
	{
		foreach ($this->findExpiredChatBans($cutOff)->fetch() AS $chatBan)
		{
			$chatBan->delete();
		}

		return parent::deleteExpiredUserBans($cutOff);
	}

	public function findExpiredChatBans($cutOff = null)
	{
		if ($cutOff === null)
		{
			$cutOff = time();
		}

		return $this->finder('BS\RealTimeChat:Banned')
			->where('unban_date', '>', 0)
			->where('unban_date', '<=', $cutOff);
	}
}

if (false)
{
    class XFCP_Banning extends \XF\Repository\Banning {}
}